VERSION 5.00
Begin VB.UserControl VolSlider 
   ClientHeight    =   2610
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3810
   ScaleHeight     =   2610
   ScaleWidth      =   3810
   Begin VB.PictureBox Picture1 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   375
      Left            =   0
      ScaleHeight     =   375
      ScaleWidth      =   1335
      TabIndex        =   0
      Top             =   0
      Width           =   1335
      Begin VB.PictureBox Slide 
         Appearance      =   0  'Flat
         AutoRedraw      =   -1  'True
         BackColor       =   &H00FAEDE2&
         ForeColor       =   &H80000008&
         Height          =   375
         Left            =   840
         ScaleHeight     =   345
         ScaleWidth      =   105
         TabIndex        =   1
         ToolTipText     =   "100"
         Top             =   0
         Width           =   135
      End
      Begin VB.Line Line2 
         BorderColor     =   &H00808080&
         X1              =   0
         X2              =   1200
         Y1              =   360
         Y2              =   360
      End
      Begin VB.Line Line3 
         BorderColor     =   &H00808080&
         X1              =   1200
         X2              =   1200
         Y1              =   360
         Y2              =   0
      End
      Begin VB.Line Line1 
         BorderColor     =   &H00808080&
         X1              =   1200
         X2              =   0
         Y1              =   0
         Y2              =   360
      End
      Begin VB.Label L 
         Appearance      =   0  'Flat
         BackColor       =   &H0000FF00&
         ForeColor       =   &H80000008&
         Height          =   375
         Index           =   0
         Left            =   1080
         TabIndex        =   2
         Top             =   0
         Width           =   45
      End
   End
End
Attribute VB_Name = "VolSlider"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Dim px As Long
Dim py As Long
Dim mos As Boolean
Dim Y
Dim ValueV As Integer

Private Sub L_MouseDown(Index As Integer, Button As Integer, Shift As Integer, x As Single, Y As Single)
Slide.Left = L(Index).Left
SetSliderChange
End Sub

Private Sub Picture1_MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)
Slide.Left = x
SetSliderChange
End Sub

Private Sub Slide_MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)
 mos = True
  px = x
  py = Y
 Slide.BackColor = Slide.ForeColor
End Sub
Private Sub Slide_MouseMove(Button As Integer, Shift As Integer, x As Single, Y As Single)
On Error Resume Next
If mos = True Then
If x < px Then
    If Slide.Left <= 0 Then
    Slide.Left = 0
    Slide.ToolTipText = 0
    Exit Sub
    Else
    Slide.Left = Slide.Left + x - px
    End If
SetSliderChange
ElseIf x > px Then
    If Slide.Left + Slide.Width >= Picture1.Width Then
    Slide.Left = Picture1.Width - Slide.Width
    Slide.ToolTipText = 100
    Exit Sub
    Else
    Slide.Left = Slide.Left + x + px
    End If
SetSliderChange
End If
End If
End Sub

Private Sub Slide_MouseUp(Button As Integer, Shift As Integer, x As Single, Y As Single)
mos = False
Slide.BackColor = Slide.Tag
End Sub
Private Sub UserControl_Initialize()
Dim x
ValueV = 0

With L(0)
Y = .Height / 28
.Height = Y
.Left = 0
.Top = Picture1.Height - Y
.BackStyle = 0
.Visible = True
End With

For x = 1 To 27
Load L(x)
With L(x)
.Width = L(0).Width
.Left = L(x - 1).Left + .Width
.Height = L(x - 1).Height + Y
.Top = L(x - 1).Top - Y
.BackColor = L(0).BackColor
.BackStyle = 0
.Visible = True
End With
Next x
SetValue ValueV
End Sub
Private Sub UserControl_Resize()
Picture1.Left = 0
Picture1.Top = 0
UserControl.Height = Picture1.Height
UserControl.Width = Picture1.Width

UserControl.BackColor = Picture1.BackColor
Line2.BorderColor = Line1.BorderColor
Line3.BorderColor = Line1.BorderColor

For x = 1 To 27
L(x).BackStyle = 1
L(x).BackColor = L(0).BackColor
L(x).BackStyle = 0

Next x
End Sub

Private Sub UserControl_Show()
 ShowAbout
End Sub

Private Sub UserControl_Terminate()
For x = 1 To 27
Unload L(x)
Next x
End Sub
Private Sub SetSliderChange()
For x = 0 To 27
If L(x).Left > Slide.Left Then
L(x).BackStyle = 0
Else
L(x).BackStyle = 1
End If
Next x

ValueV = Round((Slide.Left / (Picture1.Width - Slide.Width)) * 100, 0)
If Value < 0 Then ValueV = 0
If Value > 100 Then ValueV = 100

Slide.ToolTipText = ValueV
End Sub
Public Sub SetValue(NewValue As Integer)
If NewValue > 100 Then NewValue = 100
Slide.Left = (Picture1.Width - Slide.Width) * NewValue / 100
SetSliderChange

End Sub
Public Property Get BorderColor() As OLE_COLOR
    BorderColor = Line1.BorderColor
End Property
'
Public Property Let BorderColor(ByVal New_BorderColor As OLE_COLOR)
    Line1.BorderColor() = New_BorderColor
    PropertyChanged "BorderColor"
    UserControl_Resize
End Property
Public Property Get SlideBackColor() As OLE_COLOR
    SlideBackColor = L(0).BackColor
End Property

Public Property Let SlideBackColor(ByVal New_SlideBackColor As OLE_COLOR)
  L(0).BackColor() = New_SlideBackColor
    PropertyChanged "SlideBackColor"
    UserControl_Resize
End Property
Public Property Get BackColor() As OLE_COLOR
    BackColor = Picture1.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
  Picture1.BackColor() = New_BackColor
    PropertyChanged "BackColor"
    UserControl_Resize
End Property
Public Property Get SlideUpColor() As OLE_COLOR
    SlideUpColor = Slide.BackColor
End Property

Public Property Let SlideUpColor(ByVal New_SlideUpColor As OLE_COLOR)
  Slide.BackColor() = New_SlideUpColor
     Slide.Tag = New_SlideUpColor
    PropertyChanged "SlideUpColor"

    UserControl_Resize
End Property
Public Property Get SlideDownColor() As OLE_COLOR
   SlideDownColor = Slide.ForeColor
End Property

Public Property Let SlideDownColor(ByVal New_SlideDownColor As OLE_COLOR)
  Slide.ForeColor() = New_SlideDownColor
    PropertyChanged "SlideDownColor"
    UserControl_Resize
End Property
Public Property Get Value() As Integer
    Value = ValueV
End Property

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
     
    Line1.BorderColor = PropBag.ReadProperty("BorderColor", &H808080)
    Picture1.BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
    L(0).BackColor = PropBag.ReadProperty("SlideBackColor", &HFF00&)
    Slide.BackColor = PropBag.ReadProperty("SlideUpColor", &HFAEDE2)
    Slide.ForeColor = PropBag.ReadProperty("SlideDownColor", vbRed)
    Slide.Tag = Slide.BackColor
  UserControl_Resize
  
End Sub
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("SlideBackColor", L(0).BackColor, &HFF00&)
    Call PropBag.WriteProperty("BackColor", Picture1.BackColor, &H8000000F)
    Call PropBag.WriteProperty("BorderColor", Line1.BorderColor, &H808080)
    Call PropBag.WriteProperty("SlideDownColor", Slide.ForeColor, vbRed)
    Call PropBag.WriteProperty("SlideUpColor", Slide.BackColor, &HFAEDE2)
    UserControl_Resize

End Sub
Public Sub ShowAbout()
frmAbout.Show
End Sub
